from cpl_core.configuration import ConfigurationABC
from cpl_core.environment import ApplicationEnvironmentABC
from cpl_core.time import TimeFormatSettings

from bot_core.abc.custom_file_logger_abc import CustomFileLoggerABC


class DatabaseLogger(CustomFileLoggerABC):
    def __init__(
        self,
        config: ConfigurationABC,
        time_format: TimeFormatSettings,
        env: ApplicationEnvironmentABC,
    ):
        CustomFileLoggerABC.__init__(self, "Database", config, time_format, env)
