import { Directive, HostBinding, Input } from "@angular/core";
import { ComponentWithTable } from "../../../base/component-with-table";

@Directive()
export class HideableComponent {
  @HostBinding("class.hidden-column")
  get hidden() {
    return !(this.parent?.isColumnVisible(this.column) ?? true);
  };

  @Input() column!: string;
  @Input() parent!: ComponentWithTable;
}
