import { Component, Input } from "@angular/core";
import { HideableComponent } from "../../base/hideable-component";

@Component({
  selector: "[hideable-td]",
  templateUrl: "./hideable-column.component.html",
  styleUrls: ["./hideable-column.component.scss"]
})
export class HideableColumnComponent extends HideableComponent {
  @Input("hideable-td") override column!: string;

  constructor() {
    super();
  }

}
